# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = .

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AMTAR = @AMTAR@
AS = @AS@
AWK = @AWK@
CC = @CC@
CXX = @CXX@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
STRIP = @STRIP@
VERSION = @VERSION@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@

INCLUDES = -I$(top_srcdir)/include

AM_CXXFLAGS = -Wall 

lib_LTLIBRARIES = libmp4v2.la

libmp4v2_la_SOURCES = \
    atom_co64.cpp \
    atom_cprt.cpp \
    atom_ctts.cpp \
    atom_dimm.cpp \
    atom_dinf.cpp \
    atom_dmax.cpp \
    atom_dmed.cpp \
    atom_dref.cpp \
    atom_drep.cpp \
    atom_edts.cpp \
    atom_elst.cpp \
    atom_enca.cpp \
    atom_encv.cpp \
    atom_esds.cpp \
    atom_free.cpp \
    atom_frma.cpp \
    atom_ftyp.cpp \
    atom_hdlr.cpp \
    atom_hinf.cpp \
    atom_hmhd.cpp \
    atom_hnti.cpp \
    atom_iKMS.cpp \
    atom_iSFM.cpp \
    atom_iods.cpp \
    atom_maxr.cpp \
    atom_mdat.cpp \
    atom_mdhd.cpp \
    atom_mdia.cpp \
    atom_meta.cpp \
    atom_mfhd.cpp \
    atom_minf.cpp \
    atom_moof.cpp \
    atom_moov.cpp \
    atom_mp4a.cpp \
    atom_mp4s.cpp \
    atom_mp4v.cpp \
    atom_mvex.cpp \
    atom_mvhd.cpp \
    atom_nmhd.cpp \
    atom_nump.cpp \
    atom_payt.cpp \
    atom_pmax.cpp \
    atom_root.cpp \
    atom_rtp.cpp \
    atom_schi.cpp \
    atom_schm.cpp \
    atom_sdp.cpp \
    atom_sinf.cpp \
    atoms.h \
    atom_smhd.cpp \
    atom_snro.cpp \
    atom_stbl.cpp \
    atom_stco.cpp \
    atom_stdp.cpp \
    atom_stsc.cpp \
    atom_stsd.cpp \
    atom_stsh.cpp \
    atom_stss.cpp \
    atom_stsz.cpp \
    atom_stts.cpp \
    atom_tfhd.cpp \
    atom_tims.cpp \
    atom_tkhd.cpp \
    atom_tmax.cpp \
    atom_tmin.cpp \
    atom_tpyl.cpp \
    atom_traf.cpp \
    atom_trak.cpp \
    atom_tref.cpp \
    atom_treftype.cpp \
    atom_trex.cpp \
    atom_trpy.cpp \
    atom_trun.cpp \
    atom_tsro.cpp \
    atom_udta.cpp \
    atom_url.cpp \
    atom_urn.cpp \
    atom_vmhd.cpp \
    descriptors.cpp \
    descriptors.h \
    isma.cpp \
    mp4array.h \
    mp4atom.cpp \
    mp4atom.h \
    mp4common.h \
    mp4container.cpp \
    mp4container.h \
    mp4.h \
    mp4.cpp \
    mp4descriptor.cpp \
    mp4descriptor.h \
    mp4file.cpp \
    mp4file.h \
    mp4file_io.cpp \
    mp4info.cpp \
    mp4meta.h \
    mp4meta.cpp \
    mp4property.cpp \
    mp4property.h \
    mp4track.cpp \
    mp4track.h \
    mp4util.cpp \
    mp4util.h \
    ocidescriptors.cpp \
    ocidescriptors.h \
    odcommands.cpp \
    odcommands.h \
    qosqualifiers.cpp \
    qosqualifiers.h \
    rtphint.cpp \
    rtphint.h \
    oshacks.c \
    pagecopy.h \
    memcopy.h


EXTRA_DIST = API_CHANGES \
    INTERNALS \
    libmp4v260.dsp \
    libmp4v2_st60.dsp \
    TODO

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libmp4v2_la_LDFLAGS =
libmp4v2_la_LIBADD =
am_libmp4v2_la_OBJECTS = atom_co64.lo atom_cprt.lo atom_ctts.lo \
	atom_dimm.lo atom_dinf.lo atom_dmax.lo atom_dmed.lo \
	atom_dref.lo atom_drep.lo atom_edts.lo atom_elst.lo \
	atom_enca.lo atom_encv.lo atom_esds.lo atom_free.lo \
	atom_frma.lo atom_ftyp.lo atom_hdlr.lo atom_hinf.lo \
	atom_hmhd.lo atom_hnti.lo atom_iKMS.lo atom_iSFM.lo \
	atom_iods.lo atom_maxr.lo atom_mdat.lo atom_mdhd.lo \
	atom_mdia.lo atom_meta.lo atom_mfhd.lo atom_minf.lo \
	atom_moof.lo atom_moov.lo atom_mp4a.lo atom_mp4s.lo \
	atom_mp4v.lo atom_mvex.lo atom_mvhd.lo atom_nmhd.lo \
	atom_nump.lo atom_payt.lo atom_pmax.lo atom_root.lo atom_rtp.lo \
	atom_schi.lo atom_schm.lo atom_sdp.lo atom_sinf.lo atom_smhd.lo \
	atom_snro.lo atom_stbl.lo atom_stco.lo atom_stdp.lo \
	atom_stsc.lo atom_stsd.lo atom_stsh.lo atom_stss.lo \
	atom_stsz.lo atom_stts.lo atom_tfhd.lo atom_tims.lo \
	atom_tkhd.lo atom_tmax.lo atom_tmin.lo atom_tpyl.lo \
	atom_traf.lo atom_trak.lo atom_tref.lo atom_treftype.lo \
	atom_trex.lo atom_trpy.lo atom_trun.lo atom_tsro.lo \
	atom_udta.lo atom_url.lo atom_urn.lo atom_vmhd.lo \
	descriptors.lo isma.lo mp4atom.lo mp4container.lo mp4.lo \
	mp4descriptor.lo mp4file.lo mp4file_io.lo mp4info.lo mp4meta.lo \
	mp4property.lo mp4track.lo mp4util.lo ocidescriptors.lo \
	odcommands.lo qosqualifiers.lo rtphint.lo oshacks.lo
libmp4v2_la_OBJECTS = $(am_libmp4v2_la_OBJECTS)

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/../depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/atom_co64.Plo $(DEPDIR)/atom_cprt.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_ctts.Plo $(DEPDIR)/atom_dimm.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_dinf.Plo $(DEPDIR)/atom_dmax.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_dmed.Plo $(DEPDIR)/atom_dref.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_drep.Plo $(DEPDIR)/atom_edts.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_elst.Plo $(DEPDIR)/atom_enca.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_encv.Plo $(DEPDIR)/atom_esds.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_free.Plo $(DEPDIR)/atom_frma.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_ftyp.Plo $(DEPDIR)/atom_hdlr.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_hinf.Plo $(DEPDIR)/atom_hmhd.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_hnti.Plo $(DEPDIR)/atom_iKMS.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_iSFM.Plo $(DEPDIR)/atom_iods.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_maxr.Plo $(DEPDIR)/atom_mdat.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_mdhd.Plo $(DEPDIR)/atom_mdia.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_meta.Plo $(DEPDIR)/atom_mfhd.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_minf.Plo $(DEPDIR)/atom_moof.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_moov.Plo $(DEPDIR)/atom_mp4a.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_mp4s.Plo $(DEPDIR)/atom_mp4v.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_mvex.Plo $(DEPDIR)/atom_mvhd.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_nmhd.Plo $(DEPDIR)/atom_nump.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_payt.Plo $(DEPDIR)/atom_pmax.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_root.Plo $(DEPDIR)/atom_rtp.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_schi.Plo $(DEPDIR)/atom_schm.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_sdp.Plo $(DEPDIR)/atom_sinf.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_smhd.Plo $(DEPDIR)/atom_snro.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_stbl.Plo $(DEPDIR)/atom_stco.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_stdp.Plo $(DEPDIR)/atom_stsc.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_stsd.Plo $(DEPDIR)/atom_stsh.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_stss.Plo $(DEPDIR)/atom_stsz.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_stts.Plo $(DEPDIR)/atom_tfhd.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_tims.Plo $(DEPDIR)/atom_tkhd.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_tmax.Plo $(DEPDIR)/atom_tmin.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_tpyl.Plo $(DEPDIR)/atom_traf.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_trak.Plo $(DEPDIR)/atom_tref.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_treftype.Plo $(DEPDIR)/atom_trex.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_trpy.Plo $(DEPDIR)/atom_trun.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_tsro.Plo $(DEPDIR)/atom_udta.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_url.Plo $(DEPDIR)/atom_urn.Plo \
@AMDEP_TRUE@	$(DEPDIR)/atom_vmhd.Plo $(DEPDIR)/descriptors.Plo \
@AMDEP_TRUE@	$(DEPDIR)/isma.Plo $(DEPDIR)/mp4.Plo \
@AMDEP_TRUE@	$(DEPDIR)/mp4atom.Plo $(DEPDIR)/mp4container.Plo \
@AMDEP_TRUE@	$(DEPDIR)/mp4descriptor.Plo $(DEPDIR)/mp4file.Plo \
@AMDEP_TRUE@	$(DEPDIR)/mp4file_io.Plo $(DEPDIR)/mp4info.Plo \
@AMDEP_TRUE@	$(DEPDIR)/mp4meta.Plo $(DEPDIR)/mp4property.Plo \
@AMDEP_TRUE@	$(DEPDIR)/mp4track.Plo $(DEPDIR)/mp4util.Plo \
@AMDEP_TRUE@	$(DEPDIR)/ocidescriptors.Plo \
@AMDEP_TRUE@	$(DEPDIR)/odcommands.Plo $(DEPDIR)/oshacks.Plo \
@AMDEP_TRUE@	$(DEPDIR)/qosqualifiers.Plo $(DEPDIR)/rtphint.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = @CFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(libmp4v2_la_SOURCES)
DIST_COMMON = README ../config.guess ../config.sub ../depcomp \
	../install-sh ../ltmain.sh ../missing ../mkinstalldirs \
	./stamp-h.in AUTHORS COPYING ChangeLog INSTALL Makefile.am \
	Makefile.in NEWS TODO acconfig.h aclocal.m4 config.h.in \
	configure configure.in
SOURCES = $(libmp4v2_la_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$@ $(SHELL) ./config.status

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h stamp-hT
	@echo timestamp > stamp-hT 2> /dev/null
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@mv stamp-hT stamp-h
$(srcdir)/config.h.in:  $(srcdir)/./stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/./stamp-h.in; \
		$(MAKE) $(srcdir)/./stamp-h.in; \
	else :; fi
$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
	@rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
	@echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
	cd $(top_srcdir) && $(AUTOHEADER)
	@mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in

distclean-hdr:
	-rm -f config.h
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
libmp4v2.la: $(libmp4v2_la_OBJECTS) $(libmp4v2_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libmp4v2_la_LDFLAGS) $(libmp4v2_la_OBJECTS) $(libmp4v2_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_co64.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_cprt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_ctts.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_dimm.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_dinf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_dmax.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_dmed.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_dref.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_drep.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_edts.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_elst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_enca.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_encv.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_esds.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_free.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_frma.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_ftyp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_hdlr.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_hinf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_hmhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_hnti.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_iKMS.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_iSFM.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_iods.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_maxr.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mdat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mdhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mdia.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_meta.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mfhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_minf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_moof.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_moov.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mp4a.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mp4s.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mp4v.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mvex.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_mvhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_nmhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_nump.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_payt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_pmax.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_root.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_rtp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_schi.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_schm.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_sdp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_sinf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_smhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_snro.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stbl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stco.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stdp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stsc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stsd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stsh.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stss.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stsz.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_stts.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tfhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tims.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tkhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tmax.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tmin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tpyl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_traf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_trak.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tref.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_treftype.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_trex.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_trpy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_trun.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_tsro.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_udta.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_url.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_urn.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atom_vmhd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/descriptors.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/isma.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4atom.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4container.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4descriptor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4file.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4file_io.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4info.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4meta.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4property.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4track.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mp4util.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ocidescriptors.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/odcommands.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/oshacks.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/qosqualifiers.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rtphint.Plo@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
CCDEPMODE = @CCDEPMODE@

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
# Avoid unsightly `./'.
distdir = $(PACKAGE)-$(VERSION)

GZIP_ENV = --best

distdir: $(DISTFILES)
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/..
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
	     || (echo "Error: files left after uninstall" 1>&2; \
	         exit 1) ) \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && $(MAKE) $(AM_MAKEFLAGS) distclean \
	  && rm -f $(distdir).tar.gz \
	  && (test `find . -type f -print | wc -l` -eq 0 \
	     || (echo "Error: files left after distclean" 1>&2; \
	         exit 1) )
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) config.h

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
distclean: distclean-am
	-rm -f config.status config.cache config.log
distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-libtool \
	distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am: install-libLTLIBRARIES

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool dist dist-all distcheck \
	distclean distclean-compile distclean-depend distclean-generic \
	distclean-hdr distclean-libtool distclean-tags distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-libLTLIBRARIES install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	tags uninstall uninstall-am uninstall-info-am \
	uninstall-libLTLIBRARIES

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
